[Nipy-devel] Fwd: 1st/2nd level analysis modules in python

Matthew Brett matthew.brett@gmail....
Fri Nov 6 15:03:58 CST 2009


Hi.

I thought we should post to this to the list for some general discussion.

In context, Satra was saying that he was reluctant to contribute to
the NIPY codebase, because of the lack of the following requirements:

> yes, with a few requirements for general use:
>- something people can install and use easily (available as an egg or
>through pypi). installing bzr and checking out nipy is not a process i
>wouldn't consider easy for the average populace that uses nipype.
>- stable api. last i checked, this wasn't the case. has this changed?

Commenting:

NIPY is _extremely_ stable at the moment, largely because the core
developers have lost to the will to weather the regular torrents of
complaint that we've suffered from recently.

I'm happy to release it as it is at the moment, but the addition of
the neurospin package has made our installation rather difficult.
Thoughts from the Neurospin team?

For stable API - Satra - I'm not sure what you mean, can you elaborate?

Best,

Matthew



More information about the Nipy-devel mailing list